@keyframes fadeInUp {
  0% {
    transform: translateY(40px);
    opacity: 0;
  }
  100% {
    transform: translateY(0%);
    opacity: 1;
  }
}
.r-site-header__main-menu {
  height: 100%;
  overflow-y: scroll;
  width: 100%;
}
@media (min-width: 1024px) {
  .r-site-header__main-menu {
    overflow: hidden;
    width: -moz-fit-content;
    width: fit-content;
  }
}
.r-site-header__main-menu .visually-hidden {
  color: var(--crp-color-white);
}
.r-site-header__main-menu .c-mega-menu {
  position: relative;
  width: 100%;
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu {
    position: static;
  }
}
@media (min-width: 1200px) {
  .r-site-header__main-menu .c-mega-menu {
    border-radius: 100px;
    padding: 0;
    width: -moz-fit-content;
    width: fit-content;
  }
}
.r-site-header__main-menu .c-mega-menu {
  /**** START - Top level menu ****/
}
.r-site-header__main-menu .c-mega-menu ul[data-depth="0"] {
  align-items: flex-start;
  display: flex;
  flex-flow: column;
  gap: 12px;
  margin-block: 12px 36px;
  padding: 0;
  width: 100%;
}
.r-site-header__main-menu .c-mega-menu ul[data-depth="0"] li {
  position: static;
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu ul[data-depth="0"] {
    align-items: center;
    flex-flow: row;
    gap: 2px;
    margin: 0;
  }
}
.r-site-header__main-menu .c-mega-menu ul[data-depth="0"] a {
  background-image: linear-gradient(180deg, transparent 0, transparent calc(100% - 1px), currentColor calc(100% - 1px), currentColor 100%);
  background-position: 0 100%;
  background-repeat: no-repeat;
  background-size: 0%;
  -webkit-text-decoration: none;
  text-decoration: none;
  transition: background-size 0.25s var(--transition-easeInOutQuad);
}
.r-site-header__main-menu .c-mega-menu ul[data-depth="0"] a:hover, .r-site-header__main-menu .c-mega-menu ul[data-depth="0"] a:focus {
  background-size: 100%;
}
.r-site-header__main-menu .c-mega-menu ul[data-depth="0"] a {
  font-size: var(--crp-fs-body-20);
  line-height: var(--crp-lh-body-20);
  color: var(--crp-color-navy);
  display: inline-block;
  font-family: var(--crp-ff-body);
  font-weight: var(--crp-fw-medium);
  margin-inline: 12px;
  padding: 0;
  width: -moz-fit-content;
  width: fit-content;
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu ul[data-depth="0"] a {
    color: var(--crp-color-white);
  }
}
.r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button {
  font-size: var(--crp-fs-body-20);
  line-height: var(--crp-lh-body-20);
  background-color: transparent;
  border: none;
  color: var(--crp-color-navy);
  cursor: pointer;
  display: flex;
  flex-flow: row;
  font-weight: var(--crp-fw-medium);
  gap: 4px;
  outline-offset: -2px;
  padding-block: 4px;
  padding-inline: 0;
  width: 100%;
}
.r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button span:nth-of-type(3) {
  display: none;
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button {
    align-items: center;
    background: var(--crp-color-midnight);
    border-radius: 100px;
    color: var(--crp-color-white);
    flex-flow: row;
    padding-block: 12px;
    padding-inline: 22px 10px;
    position: relative;
    width: -moz-fit-content;
    width: fit-content;
  }
  .r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button span:nth-of-type(1) {
    display: none;
  }
  .r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button span:nth-of-type(3) {
    display: block;
  }
  .r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button::after {
    background-color: var(--crp-color-midnight);
    content: "";
    height: 100%;
    position: absolute;
    width: 100%;
    z-index: var(--crp-zindex-under);
  }
}
@media (min-width: 1206px) {
  .r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button {
    padding-inline: 24px 12px;
  }
}
.r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button .c-link__text {
  background-position: 0 0;
}
.r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button .c-icon {
  background-color: var(--crp-color-navy);
  transform: scale(1);
  transition: all 0.35s var(--transition-easeInOutQuad);
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button .c-icon {
    background-color: var(--crp-color-vibrant-green);
  }
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button:hover .c-icon {
    background-color: var(--crp-color-white);
  }
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button[aria-expanded=true] {
    background: var(--crp-color-white);
    color: var(--crp-color-navy);
  }
}
.r-site-header__main-menu .c-mega-menu ul[data-depth="0"] button[aria-expanded=true] .c-icon {
  background-color: var(--crp-color-navy);
  transform: scale(-1);
  transition: all 0.35s var(--transition-easeInOutQuad);
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu ul[data-depth="0"]:has(button[aria-expanded=true]) button:not([aria-expanded=true]) {
    color: var(--crp-color-medium-gray);
  }
  .r-site-header__main-menu .c-mega-menu ul[data-depth="0"]:has(button[aria-expanded=true]) button:not([aria-expanded=true]) .c-icon {
    background-color: var(--crp-color-medium-gray);
  }
}
.r-site-header__main-menu .c-mega-menu {
  /**** END - Top level menu ****/
  /**** START - Secondary level dropdown ****/
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu .c-mega-menu__container {
    background: linear-gradient(180deg, #ebf5fa 0%, rgba(235, 245, 250, 0) 75%), #fff;
    border-end-start-radius: 36px;
    border-end-end-radius: 36px;
    box-shadow: inset 0 40px 20px -10px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-flow: row;
    gap: 48px;
    justify-content: space-between;
    margin: 0;
    overflow: hidden;
    padding-block: 0 52px;
    padding-inline: 52px;
    position: absolute;
    inline-size: 100%;
    inset-inline: 0;
    inset-block-start: 50%;
    inset-inline-end: 50px;
    z-index: -2;
  }
  .r-site-header__main-menu .c-mega-menu .c-mega-menu__container::after {
    aspect-ratio: 1/1;
    background-image: url("../../../images/icons/corner-circle.svg");
    background-repeat: no-repeat;
    bottom: -10px;
    content: "";
    height: 210px;
    right: -10px;
    position: absolute;
    transform: rotate(90deg);
    width: 210px;
    z-index: var(--crp-zindex-under);
  }
}
.r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"]::before {
  border-left: 2px solid var(--crp-color-vibrant-green);
  content: "";
  height: 100%;
  left: 0;
  position: absolute;
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"]::before {
    content: normal;
    content: initial;
  }
}
.r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] {
  margin: 0;
  padding: 0;
}
.r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] > li {
  list-style: none;
}
.r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] {
  align-items: flex-start;
  background-color: transparent;
  border: none;
  display: flex;
  flex-flow: column;
  gap: 12px;
  height: -moz-fit-content;
  height: fit-content;
  opacity: 0;
  padding-block: 8px;
  padding-inline: 26px 0;
  position: relative;
  width: -moz-fit-content;
  width: fit-content;
}
@media (min-width: 768px) {
  .r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] {
    padding-inline: 36px 0;
  }
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] {
    opacity: 1;
    padding-inline: 0;
  }
}
.r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] .c-menu__list {
  display: flex;
  flex-flow: column;
  gap: 12px;
  padding-inline: 0;
}
.r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] li {
  padding: 0;
}
.r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] li.menu__item--expanded {
  display: flex;
  flex-flow: column;
  gap: 12px;
}
.r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] a {
  background-image: linear-gradient(180deg, transparent 0, transparent calc(100% - 1px), currentColor calc(100% - 1px), currentColor 100%);
  background-position: 0 100%;
  background-repeat: no-repeat;
  background-size: 0%;
  -webkit-text-decoration: none;
  text-decoration: none;
  transition: background-size 0.25s var(--transition-easeInOutQuad);
}
.r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] a:hover, .r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] a:focus {
  background-size: 100%;
}
.r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] a {
  font-size: var(--crp-fs-heading-h5);
  line-height: var(--crp-lh-heading-h5);
  color: var(--crp-color-navy);
  display: inline;
  font-family: var(--crp-ff-body);
  font-weight: var(--crp-fw-medium);
  margin: 0;
}
@media (min-width: 1200px) {
  .r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] a {
    font-size: var(--crp-fs-body-base);
    line-height: var(--crp-lh-body-base);
  }
}
.r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] .menu__nolink {
  font-size: var(--crp-fs-body-12);
  line-height: var(--crp-lh-body-12);
  color: var(--crp-color-dark-gray);
  font-family: var(--crp-ff-body);
  font-weight: var(--crp-fw-bold);
  letter-spacing: 2px;
  padding-left: 10px;
  text-transform: uppercase;
}
@media (min-width: 475px) {
  .r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] .menu__nolink {
    padding-inline: 0;
  }
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu .c-menu__list[data-depth="1"] .menu__nolink {
    padding-block: 20px 0;
  }
}
.r-site-header__main-menu .c-mega-menu .c-mega-menu__media {
  display: none;
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu .c-mega-menu__media {
    display: block;
    max-width: 354px;
    opacity: 0;
  }
  .r-site-header__main-menu .c-mega-menu .c-mega-menu__media img {
    border-radius: 8px;
  }
}
@media (prefers-reduced-motion: reduce) {
  .r-site-header__main-menu .c-mega-menu .c-mega-menu__media,
  .r-site-header__main-menu .c-mega-menu ul[data-depth="1"] {
    animation: none;
    opacity: 1;
  }
}
.r-site-header__main-menu .c-mega-menu {
  /**** END - Secondary level dropdown ****/
  /**** START - Sub-menu open/close ****/
}
.r-site-header__main-menu .c-mega-menu button[aria-expanded=false] + *:not([data-depth="0"]) {
  max-block-size: 0;
  opacity: 0;
  overflow: hidden;
  transition: all 0.25s var(--transition-easeInOutQuad);
  visibility: hidden;
}
.r-site-header__main-menu .c-mega-menu button[aria-expanded=false] + *:not([data-depth="0"]) .c-menu__list[data-depth="2"] {
  display: none;
}
.r-site-header__main-menu .c-mega-menu button[aria-expanded=true] + *:not([data-depth="0"]) {
  max-block-size: 9999px;
  opacity: 1;
  transition: all 0.25s var(--transition-easeInOutQuad);
  visibility: visible;
}
.r-site-header__main-menu .c-mega-menu button[aria-expanded=true] + *:not([data-depth="0"]) ul[data-depth="1"] {
  animation: 0.5s fadeInUp forwards;
}
@media (min-width: 1024px) {
  .r-site-header__main-menu .c-mega-menu button[aria-expanded=true] + *:not([data-depth="0"]) {
    padding-block: 72px 52px;
  }
  .r-site-header__main-menu .c-mega-menu button[aria-expanded=true] + *:not([data-depth="0"]) ul[data-depth="1"] {
    animation: 1.5s fadeInUp forwards;
  }
  .r-site-header__main-menu .c-mega-menu button[aria-expanded=true] + *:not([data-depth="0"]) .c-mega-menu__media {
    animation: 1s fadeInUp forwards;
    animation-delay: 500ms;
  }
}
.r-site-header__main-menu .c-mega-menu {
  /**** END - Sub-menu open/close ****/
}

.r-site-header__utility .c-menu {
  width: -moz-fit-content;
  width: fit-content;
}
.r-site-header__utility .c-menu ul[data-depth="0"] {
  display: flex;
  flex-flow: row;
  width: -moz-fit-content;
  width: fit-content;
  margin: 0;
  padding: 0;
}
.r-site-header__utility .c-menu ul[data-depth="0"] > li {
  list-style: none;
}
.r-site-header__utility .c-menu ul[data-depth="0"] .menu__item {
  border-radius: 100px;
  padding: 0.5rem 1rem;
}
.r-site-header__utility .c-menu ul[data-depth="0"] .menu__link {
  background-image: linear-gradient(180deg, transparent 0, transparent calc(100% - 1px), currentColor calc(100% - 1px), currentColor 100%);
  background-position: 0 100%;
  background-repeat: no-repeat;
  background-size: 0%;
  -webkit-text-decoration: none;
  text-decoration: none;
  transition: background-size 0.25s var(--transition-easeInOutQuad);
}
.r-site-header__utility .c-menu ul[data-depth="0"] .menu__link:hover, .r-site-header__utility .c-menu ul[data-depth="0"] .menu__link:focus {
  background-size: 100%;
}
.r-site-header__utility .c-menu ul[data-depth="0"] .menu__link {
  font-size: var(--crp-fs-body-base);
  line-height: var(--crp-lh-body-base);
  background-position-y: -3px;
  color: var(--crp-color-black);
  cursor: pointer;
  font-family: var(--crp-ff-body);
  font-weight: var(--crp-fw-medium);
}
.r-site-header__utility .c-menu ul[data-depth="0"] .menu__link:hover, .r-site-header__utility .c-menu ul[data-depth="0"] .menu__link:focus {
  background-position-y: -3px;
}
.r-site-header__utility .c-menu ul[data-depth="0"] li:first-child {
  background-color: var(--crp-color-vibrant-green);
  display: none;
}
@media (min-width: 1024px) {
  .r-site-header__utility .c-menu ul[data-depth="0"] li:first-child {
    display: block;
  }
}
.r-site-header__utility .c-menu ul[data-depth="0"] li:nth-child(2) {
  background-color: var(--crp-color-white);
  display: none;
}
@media (min-width: 768px) {
  .r-site-header__utility .c-menu ul[data-depth="0"] li:nth-child(2) {
    display: block;
  }
}

:root {
  --mobile-nav-offset: 72px;
  --mobile-nav-width: 660px;
}
@media (min-width: 768px) {
  :root {
    --mobile-nav-offset: 116px;
  }
}

/**** START - Menu wrappers & placement ****/
@media (max-width: 1023.98px) {
  .js-prevent-scroll {
    position: fixed;
    height: 100%;
    overflow: hidden;
    width: 100%;
  }
  .js-prevent-scroll main::before {
    display: block;
    content: "";
    background: rgba(0, 0, 0, 0.3);
    transition: all 0.25s var(--transition-easeInOutQuad);
    position: fixed; /* Sit on top of the page content */
    width: 100%; /* Full width (cover the whole page) */
    height: 100%; /* Full height (cover the whole page) */
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 2;
  }
}
@media (max-width: 1023.98px) {
  .js-prevent-scroll main::before {
    top: var(--mobile-nav-offset);
  }
  .js-prevent-scroll.user-logged-in main::before {
    padding-top: 40px;
    top: 140px;
  }
}

@media (min-width: 1024px) and (max-width: 1199.98px) {
  .r-site-navigation {
    margin-inline: auto;
  }
}
.r-site-navigation .contextual-region {
  position: static !important;
}

.r-site-header {
  background-color: var(--crp-color-midnight);
  position: relative;
  z-index: 3;
}

.r-site-header__container {
  align-items: center;
  display: flex;
  justify-content: space-between;
}
@media (max-width: 1023.98px) {
  .r-site-header__container {
    padding-right: 0;
  }
}
@media (min-width: 1024px) {
  .r-site-header__container {
    display: grid;
    grid-template-columns: 1fr;
    padding-block: 32px;
  }
}
@media (min-width: 1200px) {
  .r-site-header__container {
    align-items: center;
    display: flex;
    gap: 40px;
    padding-inline: 40px;
  }
}
@media (min-width: 1360px) {
  .r-site-header__container {
    padding-inline: 80px;
  }
}
@media (min-width: 1460px) {
  .r-site-header__container {
    gap: 80px;
    max-width: 1520px;
  }
}

.r-site-header__nav-wrapper {
  align-items: center;
  display: flex;
  flex-flow: row;
  gap: 48px;
}
@media (min-width: 1024px) {
  .r-site-header__nav-wrapper {
    align-items: flex-end;
    flex-flow: column;
    gap: 8px;
  }
}
@media (min-width: 1200px) {
  .r-site-header__nav-wrapper {
    gap: 20px;
  }
}

/**** END - Menu wrappers & placement ****/
/**** START - Main Navigation ****/
@media (max-width: 1023.98px) {
  .r-site-navigation__content {
    background: linear-gradient(180deg, #ebf5fa 0%, rgba(235, 245, 250, 0) 75%), #fff;
    display: flex;
    flex-flow: column-reverse;
    gap: 12px;
    height: calc(100vh - var(--mobile-nav-offset));
    justify-content: flex-end;
    margin: 0;
    max-width: var(--mobile-nav-width);
    opacity: 0;
    padding: 40px;
    position: fixed;
    right: 0;
    top: var(--mobile-nav-offset);
    transform: translateY(-100%);
    transition: all 0.37s var(--transition-easeInOutQuad);
    width: 100%;
    z-index: -1;
  }
}
@media (max-width: 767.98px) {
  .r-site-navigation__content {
    padding: 20px;
  }
}
@media (min-width: 1024px) {
  .r-site-navigation__content {
    align-items: center;
    border-radius: 100px;
    display: flex;
    gap: 0;
    top: auto;
    top: initial;
    position: relative;
  }
}
@media (min-width: 1200px) {
  .r-site-navigation__content {
    width: -moz-fit-content;
    width: fit-content;
  }
}
.r-site-navigation__content .c-menu__link--mobile {
  font-size: var(--crp-fs-body-base);
  line-height: var(--crp-lh-body-base);
  background-color: var(--crp-color-vibrant-green);
  border-radius: 100px;
  color: var(--crp-color-black);
  cursor: pointer;
  font-family: var(--crp-ff-body);
  font-weight: var(--crp-fw-medium);
  margin-block: 12px;
  padding: 0.5rem 1rem;
  -webkit-text-decoration: none;
  text-decoration: none;
}
.r-site-navigation__content .c-menu__link--mobile:hover, .r-site-navigation__content .c-menu__link--mobile:focus {
  -webkit-text-decoration: underline;
  text-decoration: underline;
}

/**** END - Main Navigation ****/
/**** START - Utility Navigation ****/
.r-site-header__utility {
  display: flex;
  gap: 1.25rem;
  margin-bottom: 0;
}
@media (min-width: 1024px) {
  .r-site-header__utility {
    padding-block: 20px;
  }
}
@media (min-width: 1200px) {
  .r-site-header__utility {
    padding-block: 0px;
  }
}

/**** END - Utility Navigation ****/
/**** START - Mobile Navigation Button ****/
.nav-trigger {
  grid-column-start: 2;
  align-items: center;
  background: var(--crp-color-bright-green);
  border: none;
  cursor: pointer;
  display: inline-flex;
  gap: 6px;
  height: 72px;
  justify-content: center;
  margin-block: auto;
  margin-inline: auto;
  max-width: 122px;
  padding-block: 16px;
  padding-inline: 20px;
}
@media (min-width: 768px) {
  .nav-trigger {
    height: 116px;
    max-width: 138px;
    padding: 8px 28px;
  }
}
@media (min-width: 1024px) {
  .nav-trigger {
    display: none;
  }
}

.nav-trigger span.label {
  color: var(--crp-color-black);
  font-weight: var(--crp-fw-bold);
  text-transform: uppercase;
}

.nav-trigger span.icon {
  background-color: transparent;
  display: inline-block;
  height: 1.5rem;
  position: relative;
  width: 1.5rem;
}
.nav-trigger span.icon svg {
  position: absolute;
  left: 0;
  top: 0;
}

.nav-trigger__icon--expand {
  opacity: 1;
  transform: rotate(0) scale(1);
  transition: all 0.35s var(--transition-easeInOutQuad);
}

.nav-trigger__icon--collapse {
  opacity: 0;
  transform: rotate(-90deg) scale(0);
  transition: all 0.35s var(--transition-easeInOutQuad);
}

.nav-trigger[aria-expanded=true] .nav-trigger__icon--collapse {
  opacity: 1;
  transform: rotate(0) scale(1);
}
.nav-trigger[aria-expanded=true] .nav-trigger__icon--expand {
  opacity: 0;
  transform: rotate(90deg) scale(0);
}

@media (max-width: 1023.98px) {
  .nav-trigger[aria-expanded=false] ~ .r-site-navigation__content {
    transform: translate3d(var(--mobile-nav-width), 0, 0);
    opacity: 0;
    right: 0;
    visibility: hidden;
  }
  .nav-trigger[aria-expanded=true] ~ .r-site-navigation__content {
    transform: translate3d(0, 0, 0);
    opacity: 1;
    overflow-y: auto;
    right: 0;
    visibility: visible;
    z-index: 3;
  }
}
/**** END - Mobile Navigation Button ****/